콘텐츠로 건너뛰기

gpt-image-1 · Edit Image

통합

모델 id gpt-image-1/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.27 270 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기

프롬프트로 참조 이미지를 편집하거나 결합하며 입력 fidelity 설정과 투명 배경 옵션을 제공

OpenAI · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지 생성에 사용한 프롬프트입니다.

•필수 image_urls
파일을 끌어다 놓거나

생성에 사용할 참조 이미지 URL입니다.

image_size 기본값 auto

결과 이미지의 화면 비율입니다.

quality 기본값 auto

결과 이미지의 품질입니다.

input_fidelity 기본값 high

결과 이미지가 입력을 따르는 정도입니다.

num_images 기본값 1

생성할 이미지의 개수입니다.

고급 background · output_format · enable_safety_checker
background 기본값 auto

결과 이미지의 배경입니다.

output_format 기본값 png

출력 이미지의 파일 형식입니다.

POST /run/gpt-image-1/edit-image?wait=20 견적 → $0.27
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

gpt-image-1 · Edit Image 정보

`image_urls`의 하나 이상의 참조 이미지와 프롬프트를 사용해 새 이미지를 생성합니다. `input_fidelity`는 입력 이미지가 얼마나 가깝게 유지되는지 제어하며 low 또는 high(기본값 high)로 설정할 수 있습니다. 크기는 auto, 1024x1024, 1536x1024 또는 1024x1536이고, 배경은 auto, transparent 또는 opaque입니다. 최대 4개의 이미지를 png, jpeg 또는 webp 형식으로 출력합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
≥ 2자
이미지 생성에 사용한 프롬프트입니다.
image_urls필수 images
유형url[] · image
생성에 사용할 참조 이미지 URL입니다.
image_size선택 사항
유형enum
기본값auto
auto1024x10241536x10241024x1536
결과 이미지의 화면 비율입니다.
background선택 사항
유형enum
기본값auto
autotransparentopaque
결과 이미지의 배경입니다.
quality선택 사항
유형enum
기본값auto
autolowmediumhigh
결과 이미지의 품질입니다.
input_fidelity선택 사항
유형enum
기본값high
lowhigh
결과 이미지가 입력을 따르는 정도입니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 4
생성할 이미지의 개수입니다.
output_format선택 사항
유형enum
기본값png
jpegpngwebp
출력 이미지의 파일 형식입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gpt-image-1/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 270,
    "usd": "0.27",
    "charged": 270,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}모델이 생성한 이미지입니다.

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/gpt-image-1/edit-image.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt